summaryrefslogtreecommitdiffstats
path: root/graphics
diff options
context:
space:
mode:
author Alexander Schultz2022-04-05 10:36:54 +0200
committer Willy Sudiarto Raharjo2022-04-09 10:45:45 +0200
commitfdb66d3d5f729caa7d654149f3b65f95f0ee044d (patch)
tree5f5f78c1bd052cbf555d170696d1048e5ccb5cb3 /graphics
parentf1a2ee590537ec70ce217799a584046dc2af156a (diff)
downloadslackbuilds-fdb66d3d5f729caa7d654149f3b65f95f0ee044d.tar.gz
graphics/ksnip: Added (Screenshot Tool).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'graphics')
-rw-r--r--graphics/ksnip/README2
-rw-r--r--graphics/ksnip/doinst.sh8
-rw-r--r--graphics/ksnip/ksnip.SlackBuild103
-rw-r--r--graphics/ksnip/ksnip.info10
-rw-r--r--graphics/ksnip/slack-desc19
5 files changed, 142 insertions, 0 deletions
diff --git a/graphics/ksnip/README b/graphics/ksnip/README
new file mode 100644
index 0000000000..f85397f873
--- /dev/null
+++ b/graphics/ksnip/README
@@ -0,0 +1,2 @@
+Qt-based cross-platform screenshot tool that provides
+many annotation features for your screenshots.
diff --git a/graphics/ksnip/doinst.sh b/graphics/ksnip/doinst.sh
new file mode 100644
index 0000000000..a0566905a1
--- /dev/null
+++ b/graphics/ksnip/doinst.sh
@@ -0,0 +1,8 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications
+fi
+
+if [ -x /usr/bin/update-mime-database ]; then
+ /usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
+fi
+
diff --git a/graphics/ksnip/ksnip.SlackBuild b/graphics/ksnip/ksnip.SlackBuild
new file mode 100644
index 0000000000..22815afb4c
--- /dev/null
+++ b/graphics/ksnip/ksnip.SlackBuild
@@ -0,0 +1,103 @@
+#!/bin/bash
+#
+# Slackware build script for ksnip
+#
+# Copyright 2022 Alexander Schultz <alexander_schultz@posteo.se>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=ksnip
+VERSION=${VERSION:-1.9.2}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -eu
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir -p build
+cd build
+ cmake \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DLIB_SUFFIX=${LIBDIRSUFFIX} \
+ -DKCOV_INSTALL_MANDIR=/usr/man \
+ -DKCOV_INSTALL_DOCDIR=/usr/doc/$PRGNAM-$VERSION ..
+ make
+ make install/strip DESTDIR=$PKG
+cd ..
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a README.md $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/graphics/ksnip/ksnip.info b/graphics/ksnip/ksnip.info
new file mode 100644
index 0000000000..ad18e2f121
--- /dev/null
+++ b/graphics/ksnip/ksnip.info
@@ -0,0 +1,10 @@
+PRGNAM="ksnip"
+VERSION="1.9.2"
+HOMEPAGE="https://github.com/ksnip/ksnip"
+DOWNLOAD="https://github.com/ksnip/ksnip/archive/refs/tags/v1.9.2/ksnip-1.9.2.tar.gz"
+MD5SUM="916a1b55499bbc27cec2e9521925096a"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="kImageAnnotator"
+MAINTAINER="Alexander Schultz"
+EMAIL="alexander_schultz@posteo.se"
diff --git a/graphics/ksnip/slack-desc b/graphics/ksnip/slack-desc
new file mode 100644
index 0000000000..37568bf5ea
--- /dev/null
+++ b/graphics/ksnip/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+ksnip: ksnip (screenshot tool)
+ksnip:
+ksnip: Ksnip is a Qt-based cross-platform screenshot tool that provides
+ksnip: many annotation features for your screenshots.
+ksnip:
+ksnip: Homepage: https://github.com/ksnip/ksnip
+ksnip:
+ksnip:
+ksnip:
+ksnip:
+ksnip: